import time
import schedule
from common import Feishu, Material
from common.sql_help import sqlHelp



def job_feishu_bot():
    name_list = Material.feishu_name()
    count_list = sqlHelp.get_count_list(name_list)
    Feishu.bot('recommend', 'AGC视频', f'{"".join(count_list)}', 'all', '所有人')
    print("机器人通知完成")



schedule.every().day.at("13:00").do(job_feishu_bot)
while True:
    schedule.run_pending()
    time.sleep(1)